develooper Front page | perl.perl5.build | Postings from February 2004

Re: Proposal to remove support for MachTen

Thread Previous | Thread Next
From:
Dominic Dunlop
Date:
February 13, 2004 11:28
Subject:
Re: Proposal to remove support for MachTen
Message ID:
14EDFEC5-5E48-11D8-8A6E-000A27839BD6@mac.com
On 12 Feb 2004, at 20:13, Dominic Dunlop wrote:
>>> 2. Make hints/machten.sh exit with a warning for any perl
>>>    higher than 5.8.x. This exit will have the same effect as
>>>    you intended with the change to Configure: it won't build
>>
>> Or maybe don't even bother, though certainly remove or reword
>> Dominic's promise to help fix any problems!
>
> Again OK.

Umm, this may be a dumb question, but how can I tell in a hints file 
what version of perl is being built? Looking at the shell variables 
that are defined when the file is sourced, I can see nothing with the 
version number in it, except tmppwd -- and it's only there because of 
what I happened to call the top-level directory. Should I parse what I 
need out of patchlevel.h?

Thanks.
-- 
Dominic Dunlop


Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About